Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1605228 - Explain what "invalid number" means on status panels in WA (Grafana based) Dashboard
Summary: Explain what "invalid number" means on status panels in WA (Grafana based) Da...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: doc-RHGS_Web_Administration
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.4.0
Assignee: Rakesh
QA Contact: Elena Bondarenko
URL:
Whiteboard:
Depends On:
Blocks: 1503142
TreeView+ depends on / blocked
 
Reported: 2018-07-20 13:38 UTC by Martin Bukatovic
Modified: 2018-09-10 15:46 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-10 15:46:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1583499 None ASSIGNED [Doc RFE] Document how to understand the numbers as displayed in the dashboard 2019-01-23 20:16:53 UTC
Red Hat Bugzilla 1597728 None NEW Invalid Number values when all nodes are stopped 2019-01-23 20:16:53 UTC

Internal Links: 1583499 1597728

Description Martin Bukatovic 2018-07-20 13:38:51 UTC
Description of problem
======================

Panels in WA (Grafana based) Dashboard which uses vonage-status-panel[1] plugin
reports "invalid number" when there are no data to report or when data
validation fails for some reason. This is not going to change for RHGS 3.4
(see eng BZ 1597728).

We need to describe the following:

 * Describe what a status panel in WA Grafana based Dashboard looks like
   (so that customer would understand which panels are affected).

 * How status panels work in general (pointing out some pecularities
   of vonage-status-panel plugin related to this issue).

 * What could "invalid number" reported on a status panel in WA dashboard
   mean.

See BZ 1597728 for full context.

Ask the dev team for tech. clarification if needed.

Adding blocker? flag, because this BZ was created as a resolution for
BZ with "blocker?" flag.

[1] https://grafana.com/plugins/vonage-status-panel

Comment 3 Martin Bukatovic 2018-08-06 14:58:35 UTC
QE team will verify that the information suggested in this BZ are provided, and
that the explanation of "invalid number" matches tech. details from Ankush's
comment here: https://bugzilla.redhat.com/show_bug.cgi?id=1597728#c2


Note You need to log in before you can comment on or make changes to this bug.